/************************************************/
/*						*/
/*      Copyright:				*/
/*	 Jean-Marc Pigeon <jmp@safe.ca>	 2009	*/
/*						*/
/************************************************/
/* This program is free software; you can 	*/
/* redistribute it and/or modify it under the 	*/
/* terms of the GNU General Public License as	*/
/* published by the Free Software Foundation	*/
/* version 2 of the License			*/
/*						*/
/* This program is distributed in the hope that */
/* it will be useful, but WITHOUT ANY WARRANTY; */
/* without even the implied warranty of		*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR	*/
/* PURPOSE.  See the GNU General Public License	*/
/* for more details.				*/
/*						*/
/* You should have received a copy of the GNU	*/
/* General Public License along with this 	*/
/* program; if not, write to the Free Software	*/
/* Foundation, Inc., 51 Franklin Street,	*/
/* Fifth Floor, Boston, MA  02110-1301, USA.	*/
/************************************************/
/*						*/
/*	Define module level routines to handle	*/
/*	Protocol exchange with remote site.	*/
/*						*/
/************************************************/
#ifndef MODTRA
#define MODTRA
#include	"unidev.h"
#include	"gesipc.h"
#include	"lvleml.h"

/*Special journal for WEB			*/
#define	WJRL	MXJRL-1

typedef	struct	{
	BOXTYP *boxe;	/*IPC reference		*/
	char *chkidsrv;	/*user check-id server	*/
	char *chkidmod;	/*check-id check mode	*/
	DFSTYP *dfs;	/*quarantine policy	*/
	char *dfltcode;	/*local site dflt code	*/
	SKRTYP **skrlst;/*quarantine info	*/
	}TRATYP;

extern TRATYP *tra_maketrack(BOXTYP *boxe);
extern TRATYP *tra_freetrack(TRATYP *track);
extern pid_t tra_tracking(TRATYP *track,LSTTYP *channel,int num);
#endif
